Bug 89751 - vmware 4.0 creates files in /var/run/vmware/$USER/* which are not properly cleaned up at boot time
vmware 4.0 creates files in /var/run/vmware/$USER/* which are not properly cl...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-27 13:24 EDT by Nicolas Bock
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-02 15:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that fixes the error message when cleaning up /var/run (278 bytes, patch)
2003-04-27 13:25 EDT, Nicolas Bock
no flags Details | Diff

  None (edit)
Description Nicolas Bock 2003-04-27 13:24:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
rc.sysinit tries to clean up /var/run at boot time. VMware 4.0 writes files into
a directory, /var/run/vmware/$USER/*, which is not properly cleaned up by
rc.sysinit. I attached a patch that fixes this issue.

Version-Release number of selected component (if applicable):
initscripts-7.14-1

How reproducible:
Always

Steps to Reproduce:
1. Use VMware 4.0
2. Reboot

Additional info: attached patch...
Comment 1 Nicolas Bock 2003-04-27 13:25:48 EDT
Created attachment 91319 [details]
patch that fixes the error message when cleaning up /var/run
Comment 2 Bill Nottingham 2003-05-02 15:55:46 EDT
Added in CVS, will be in 7.20-1.

Note You need to log in before you can comment on or make changes to this bug.